
Foreman - Feature #6214

Alphabetical menu sorting in the web UI

06/13/2014 01:54 PM - Johan Sunnerstig

Status: Closed   

Priority: Normal   

Assignee: Robert Birnie   

Category: Host creation   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.5.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1843

  

Description

It would be nice if the WUI would sort things like the compute resource, subnet, etc dropdowns in some more human readable(which

would probably mean alphabetical) way. Right now it sorts by ID as far as I can tell. As an example we have ~50 subnets and

compute resources defined currently, and more on the way, finding the right one in those lists gets fairly tricky at times.

Alphabetical sorting would make this a lot easier.

I also noticed this FR: http://projects.theforeman.org/issues/1870

Doesn't seem to have made it in though?

Related issues:

Related to Foreman - Bug #7886: Compute Resources in new host form should be ... Closed 10/09/2014

Related to Foreman - Bug #8363: Sort VMware datastore/network dropdown menus Closed 11/12/2014

Associated revisions

Revision c1aca33a - 10/11/2014 06:40 AM - Robert Birnie

Fixes #6214 - Alphabetical menu sorting in the UI

History

#1 - 06/13/2014 02:30 PM - Dominic Cleal

- Category set to Host creation

#2 - 10/10/2014 04:21 AM - Dominic Cleal

- Related to Bug #7886: Compute Resources in new host form should be ordered added

#3 - 10/10/2014 01:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.7.2

- Pull request https://github.com/theforeman/foreman/pull/1843 added

#4 - 10/10/2014 01:06 PM - Robert Birnie

- Assignee set to Robert Birnie

#5 - 10/11/2014 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c1aca33a663690b39d5393187caa7db8035ca3ef.

#6 - 10/13/2014 02:53 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 21
http://projects.theforeman.org/issues/1870
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c1aca33a663690b39d5393187caa7db8035ca3ef


#7 - 11/13/2014 12:24 PM - Bryan Kearney

- Related to Bug #8363: Sort VMware datastore/network dropdown menus added
